# WorkspaceEmbedKeyEnsure

> Create the workspace's storefront embed key if it does not exist yet. Admin access, workspace toolset, MCP tool ensure_workspace_embed_key.

**Access:** [Admin](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

This operation takes no variables.

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WorkspaceEmbedKeyEnsure","variables":{},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"22ab19321c2a11545353efea897eeca8958787059d45923090d4bd40aea43bc1"}}}'
```

## Document

```graphql
mutation WorkspaceEmbedKeyEnsure { __typename workspaceEmbedKeyEnsure { __typename embedKey seenAt userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/workspace/workspace-embed-key-ensure
